Bug 237070 - xorg-x11 does not include cirrus driver for ia64 - breaks X for HVM
xorg-x11 does not include cirrus driver for ia64 - breaks X for HVM
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
ia64 Linux
high Severity urgent
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
: OtherQA
Depends On:
  Show dependency treegraph
Reported: 2007-04-19 06:07 EDT by Bryn M. Reeves
Modified: 2010-10-22 10:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0756
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-15 11:06:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryn M. Reeves 2007-04-19 06:07:33 EDT
Description of problem:
The HVM hardware model presents a cirrus graphics controller to the guest
operating system. The ia64 builds of xorg-x11 in RHEL4 have this driver disabled:

$ rpm -qlp xorg-x11-6.8.2-1.EL.13.53.ia64.rpm | grep 'drivers\/.*\.o$'

# rpm -qlp xorg-x11-6.8.2-1.EL.13.36.i386.rpm | grep 'drivers\/.*\.o$'
Version-Release number of selected component (if applicable):

This is controlled by these line in the xorg-x11.spec:

%ifarch ia64
#define XF86CardDrivers mga nv tdfx v4l fbdev glint ati vga 

How reproducible:

Steps to Reproduce:
1. Try to configure cirrus driver support in a HVM guest on ia64

Actual results:
cirrus driver is missing

Expected results:
cirrus driver is present 

Additional info:
The Xorg 7 builds in RHEL5 have this driver enabled for ia64
Comment 1 Bryn M. Reeves 2007-04-19 06:09:46 EDT
Using the generic drivers is a workaround, but as ia64 doesn't have VESA either
this just leaves the VGA driver which is a bit limited.
Comment 2 RHEL Product and Program Management 2007-05-09 00:43:02 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 7 Adam Jackson 2007-07-27 17:05:45 EDT
Why on earth is this in needinfo of me.  It's been acked.  Move on.
Comment 8 Adam Jackson 2007-07-30 11:54:21 EDT
Built into xorg-x11-6.8.2-1.EL.23.  MODIFIED.
Comment 10 John Poelstra 2007-08-29 13:53:30 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6 Beta released on RHN (also available at partners.redhat.com).  

Requested action: Please verify that your issue is fixed to ensure that it is
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 12 errata-xmlrpc 2007-11-15 11:06:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.